Bug 6122 - Upgrade option puts LILO in the wrong place
Upgrade option puts LILO in the wrong place
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-20 01:00 EDT by Joshua Rosen
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-08 13:33:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Rosen 1999-10-20 01:00:22 EDT
On a system with Win98 and Boot Magic on the first
partition, the Upgrade option mistakenly overwrites Boot
Magic with LILO and disables the Win98 partition,
fortunately the Boot Magic emergency disk can fix the
problem and recover Win98 partition. The Install option asks
where to put LILO, the Upgrade option should do the same
thing.
Comment 1 adrian.lawrence 1999-10-26 17:14:59 EDT
But the _expert_ upgrade path should _not_ assume lilo at all. This
has been noted in asides in other bugs. There are still heritage boxes
which need to use dos drivers to initiate undocumented hardware and
then boot with loadlin. Not to mention the wealth of other double,
triple and quadruple boot systems. The installer must request whether
lilo is to be used at all, and if so, it needs to request or present
the proposed lilo.conf for confirmation or modification.
updates-RHEA-1999_045.img still misbehaves in this area.
Comment 2 Cristian Gafton 2000-01-06 16:04:59 EST
Assigned to jturner

Note You need to log in before you can comment on or make changes to this bug.